Summary: Extended Win95-like file explorer for KDE.
Name: kruiser
Version: 0.4
Release: 1
Group: User Interface/Applications
Copyright: GPL
Packager: Michael Goffioul <goffioul@emic.ucl.ac.be>
URL: http://devel-home.kde.org/~kruiser/index.html
Source0: ftp://khnopff.emic.ucl.ac.be/pub/kruiser/distributions/kruiser-0.4.tar.gz
Buildroot: /var/tmp/%{name}-root
Prefix: /usr

%description
Kruiser is an extended Win95-like file system explorer for KDE.
 
Main features are :
    - thread mechanism
    - Win95 look-alike
    - support for mount/umount, FTP, archive browsing, SMB
    - configurable directory tree
    - multiple file view : splitted panes or MDI
    - network neighborhood (via SMB)
    - history and dockable bookmarks
    - image preview (threaded thumbnails creation)
    - support for KDE mime types
    - drag'n drop with XDND (not compatible with KDE-1.x)
    - highly and easily configurable

%package improved-icons
Summary: Improved icons for use with both KFM and Kruiser.
Group: User Interface/Applications
Copyright: GPL
Prefix: /usr

%description improved-icons
Improved icons for use with both KFM and Kruiser.
This package will install a set of improved icons for use with both
Kruiser and KFM ( and other programs that use these standard icons ).

Note that if you install this package and then want to uninstall it you
will also have to install kdebase-1.1.2 again since these icons are needed by KDE.

%prep
%setup

%build
export MAKE="make -j 2"

%ifarch i386
    CFLAGS="-O3 -march=i386 -m386"
    CXXFLAGS="$CFLAGS"
%endif
%ifarch i686
    CFLAGS="-O3 -march=pentiumpro -mpentiumpro -ffast-math -mieee-fp -fexpensive-optimizations -fomit-frame-pointer -fno-rtti -pipe -s"
    CXXFLAGS="$CFLAGS"
%endif

./configure --prefix=%{prefix} --with-install-root=$RPM_BUILD_ROOT --enable-kfm-minidir
make -j 2

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr( 755,-,- ) %dir %{prefix}
%attr( 755,-,- ) %dir %{prefix}/bin
%attr( 755,-,- ) %dir %{prefix}/share
%attr( 755,-,- ) %dir %{prefix}/share/icons
%attr( 755,-,- ) %dir %{prefix}/share/icons/mini
%attr( 755,-,- ) %dir %{prefix}/share/applnk
%attr( 755,-,- ) %dir %{prefix}/share/applnk/Utilities
%attr( 755,-,- ) %dir %{prefix}/share/apps
%attr( 755,-,- ) %dir %{prefix}/share/apps/kruiser
%attr( 755,-,- ) %dir %{prefix}/share/apps/kruiser/icons
%attr( 755,-,- ) %dir %{prefix}/share/apps/kruiser/icons/mini
%attr( 755,-,- ) %dir %{prefix}/share/apps/kruiser/icons/toolbar
%attr( 755,-,- ) %dir %{prefix}/share/locale
%attr( 755,-,- ) %dir %{prefix}/share/locale/fr
%attr( 755,-,- ) %dir %{prefix}/share/locale/fr/LC_MESSAGES
%attr( 755,-,- ) %dir %{prefix}/share/locale/de
%attr( 755,-,- ) %dir %{prefix}/share/locale/de/LC_MESSAGES
%attr( 755,-,- ) %dir %{prefix}/share/locale/da
%attr( 755,-,- ) %dir %{prefix}/share/locale/da/LC_MESSAGES
%attr( 755,-,- ) %dir %{prefix}/share/locale/pl
%attr( 755,-,- ) %dir %{prefix}/share/locale/pl/LC_MESSAGES
%attr( 755,-,- ) %dir %{prefix}/share/locale/cs
%attr( 755,-,- ) %dir %{prefix}/share/locale/cs/LC_MESSAGES
%attr( 755,-,- ) %dir %{prefix}/share/locale/br
%attr( 755,-,- ) %dir %{prefix}/share/locale/br/LC_MESSAGES
%attr( 755,-,- ) %dir %{prefix}/share/locale/sv
%attr( 755,-,- ) %dir %{prefix}/share/locale/sv/LC_MESSAGES
%attr( 755,-,- ) %dir %{prefix}/share/locale/ro
%attr( 755,-,- ) %dir %{prefix}/share/locale/ro/LC_MESSAGES
%attr( 755,-,- ) %dir %{prefix}/share/locale/es
%attr( 755,-,- ) %dir %{prefix}/share/locale/es/LC_MESSAGES
%attr( 755,-,- ) %dir %{prefix}/share/locale/el
%attr( 755,-,- ) %dir %{prefix}/share/locale/el/LC_MESSAGES
%attr( 755,-,- ) %dir %{prefix}/share/locale/it
%attr( 755,-,- ) %dir %{prefix}/share/locale/it/LC_MESSAGES
%attr( 755,-,- ) %dir %{prefix}/doc
%attr( 755,-,- ) %dir %{prefix}/doc/kde
%attr( 755,-,- ) %dir %{prefix}/doc/kde/HTML
%attr( 755,-,- ) %dir %{prefix}/doc/kde/HTML/en
%attr( 755,-,- ) %dir %{prefix}/doc/kde/HTML/en/kruiser
%attr( 755,-,- ) %dir %{prefix}/doc/kde/HTML/es
%attr( 755,-,- ) %dir %{prefix}/doc/kde/HTML/es/kruiser
%attr( 755,-,- ) %{prefix}/bin/kruiser
%attr( 644,-,- ) %{prefix}/share/icons/kruiser.xpm
%attr( 644,-,- ) %{prefix}/share/icons/kruiser-su.xpm
%attr( 644,-,- ) %{prefix}/share/icons/mini/kruiser.xpm
%attr( 644,-,- ) %{prefix}/share/icons/mini/mount.xpm
%attr( 644,-,- ) %{prefix}/share/icons/mini/link.xpm
%attr( 644,-,- ) %{prefix}/share/icons/mini/world.xpm
%attr( 644,-,- ) %{prefix}/share/applnk/Utilities/kruiser.kdelnk
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/dbext
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/mini/3floppy_unmount.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/mini/background.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/mini/c_src.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/mini/cdrom_unmount.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/mini/desktop.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/mini/dosexec.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/mini/exec.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/mini/f_src.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/mini/folder.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/mini/folder_open.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/mini/font.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/mini/h_src.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/mini/help.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/mini/html.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/mini/image.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/mini/kfm_trash.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/mini/link.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/mini/lockedfolder.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/mini/midi.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/mini/mount.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/mini/movie.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/mini/network.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/mini/network_settings.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/mini/photo.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/mini/postscript.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/mini/resource.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/mini/library.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/mini/shell.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/mini/socket.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/mini/sound.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/mini/terminal.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/mini/text.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/mini/tgz.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/mini/ttf.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/mini/txt.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/mini/unknown.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/mini/word.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/mini/kfm_fulltrash.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/mini/dndicon.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/mini/home.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/mini/applications_package.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/mini/harddrive_unmount.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/toolbar/bigicon.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/toolbar/connect.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/toolbar/copy.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/toolbar/cut.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/toolbar/delete.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/toolbar/detail.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/toolbar/dirup.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/toolbar/disconn.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/toolbar/lsicon.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/toolbar/paste.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/toolbar/property.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/toolbar/smicon.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/toolbar/stop.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/toolbar/tree.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/toolbar/undo.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/toolbar/preview.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/toolbar/image.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/toolbar/splitv.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/toolbar/splith.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/toolbar/single.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/toolbar/mview.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/toolbar/archive.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/toolbar/hidden.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/toolbar/bookmark.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/3floppy_unmount.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/background.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/c_src.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/cdrom_unmount.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/dosexec.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/exec.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/folder.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/font.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/help.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/html.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/image.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/ini.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/kfm_trash.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/link.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/lockedfolder.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/midi.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/movie.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/network_settings.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/photo.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/postscript.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/resource.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/library.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/shell.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/socket.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/sound.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/terminal.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/text.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/tgz.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/ttf.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/txt.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/unknown.xpm
%attr( 644,-,- ) %{prefix}/share/apps/kruiser/icons/word.xpm
%attr( 644,-,- ) %{prefix}/share/locale/fr/LC_MESSAGES/kruiser.mo
%attr( 644,-,- ) %{prefix}/share/locale/de/LC_MESSAGES/kruiser.mo
%attr( 644,-,- ) %{prefix}/share/locale/da/LC_MESSAGES/kruiser.mo
%attr( 644,-,- ) %{prefix}/share/locale/pl/LC_MESSAGES/kruiser.mo
%attr( 644,-,- ) %{prefix}/share/locale/cs/LC_MESSAGES/kruiser.mo
%attr( 644,-,- ) %{prefix}/share/locale/br/LC_MESSAGES/kruiser.mo
%attr( 644,-,- ) %{prefix}/share/locale/sv/LC_MESSAGES/kruiser.mo
%attr( 644,-,- ) %{prefix}/share/locale/ro/LC_MESSAGES/kruiser.mo
%attr( 644,-,- ) %{prefix}/share/locale/es/LC_MESSAGES/kruiser.mo
%attr( 644,-,- ) %{prefix}/share/locale/el/LC_MESSAGES/kruiser.mo
%attr( 644,-,- ) %{prefix}/share/locale/it/LC_MESSAGES/kruiser.mo
%attr( 644,-,- ) %{prefix}/doc/kde/HTML/en/kruiser/index.html
%attr( 644,-,- ) %{prefix}/doc/kde/HTML/en/kruiser/index-1.html
%attr( 644,-,- ) %{prefix}/doc/kde/HTML/en/kruiser/index-2.html
%attr( 644,-,- ) %{prefix}/doc/kde/HTML/en/kruiser/index-3.html
%attr( 644,-,- ) %{prefix}/doc/kde/HTML/en/kruiser/index-4.html
%attr( 644,-,- ) %{prefix}/doc/kde/HTML/en/kruiser/index-5.html
%attr( 644,-,- ) %{prefix}/doc/kde/HTML/en/kruiser/logotp3.gif
%attr( 644,-,- ) %{prefix}/doc/kde/HTML/es/kruiser/index.html
%attr( 644,-,- ) %{prefix}/doc/kde/HTML/es/kruiser/index-1.html
%attr( 644,-,- ) %{prefix}/doc/kde/HTML/es/kruiser/index-2.html
%attr( 644,-,- ) %{prefix}/doc/kde/HTML/es/kruiser/index-3.html
%attr( 644,-,- ) %{prefix}/doc/kde/HTML/es/kruiser/index-4.html
%attr( 644,-,- ) %{prefix}/doc/kde/HTML/es/kruiser/index-5.html
%attr( 644,-,- ) %{prefix}/doc/kde/HTML/es/kruiser/logotp3.gif
%doc AUTHORS
%doc BUGS
%doc CHANGES
%doc README
%doc TODO

%files improved-icons
%attr( 644,-,- ) %{prefix}/share/icons/mini/binary.xpm
%attr( 644,-,- ) %{prefix}/share/icons/mini/c_src.xpm
%attr( 644,-,- ) %{prefix}/share/icons/mini/core.xpm
%attr( 644,-,- ) %{prefix}/share/icons/mini/document.xpm
%attr( 644,-,- ) %{prefix}/share/icons/mini/f_src.xpm
%attr( 644,-,- ) %{prefix}/share/icons/mini/font.xpm
%attr( 644,-,- ) %{prefix}/share/icons/mini/gf.xpm
%attr( 644,-,- ) %{prefix}/share/icons/mini/h_src.xpm
%attr( 644,-,- ) %{prefix}/share/icons/mini/html.xpm
%attr( 644,-,- ) %{prefix}/share/icons/mini/image.xpm
%attr( 644,-,- ) %{prefix}/share/icons/mini/java_src.xpm
%attr( 644,-,- ) %{prefix}/share/icons/mini/moc_src.xpm
%attr( 644,-,- ) %{prefix}/share/icons/mini/o_src.xpm
%attr( 644,-,- ) %{prefix}/share/icons/mini/pdf.xpm
%attr( 644,-,- ) %{prefix}/share/icons/mini/postscript.xpm
%attr( 644,-,- ) %{prefix}/share/icons/mini/readme.xpm
%attr( 644,-,- ) %{prefix}/share/icons/mini/sound.xpm
%attr( 644,-,- ) %{prefix}/share/icons/mini/trash.xpm
%attr( 644,-,- ) %{prefix}/share/icons/mini/txt.xpm
%attr( 644,-,- ) %{prefix}/share/icons/mini/unknown.xpm
%attr( 644,-,- ) %{prefix}/share/icons/mini/video.xpm
%attr( 644,-,- ) %{prefix}/share/icons/mini/home.xpm